#include <stdio.h>
#include <stdlib.h>

#define N 2000
#define MAXLEN 9000

#define MAXPIS ('z'-'a'+ 1)

int main()
{
  int i, j;
  int width, pis;
  char mn[MAXPIS];
  
  printf("%d\n", N);
  for (i=0; i<N; i++)
  {
    width=rand() % (MAXLEN-2) + 3;
    pis=rand() % (MAXPIS-2) + 2;
    for (j=0; j<MAXPIS; j++) mn[j]='a'+j;
    for (j=0; j<MAXPIS; j++)
    {
      int z, p;
      z=mn[j];
      p=rand() % MAXPIS;
      mn[j]=mn[p];
      mn[p]=z;
    }
    for (j=0; j<width; j++)
    {
      printf("%c", mn[rand() % pis]);
    }
    printf("\n");
  }

  return 0;
}
